package yem.wmc.ydn.formplugin.dynamic;

import kd.bos.form.control.StepsOption;

import java.util.ArrayList;
import java.util.List;

/**
 * @author lipan
 * @date 2024/4/19 10:47
 * @className Trackinform
 * @description
 */
public class Trackinform {
    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber;
    }

    public String getShipname() {
        return shipname;
    }

    public void setShipname(String shipname) {
        this.shipname = shipname;
    }

    public String getPickupgood() {
        return pickupgood;
    }

    public void setPickupgood(String pickupgood) {
        this.pickupgood = pickupgood;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getShippcompanies() {
        return shippcompanies;
    }

    public void setShippcompanies(String shippcompanies) {
        this.shippcompanies = shippcompanies;
    }

    public String getContainer() {
        return container;
    }

    public void setContainer(String container) {
        this.container = container;
    }

    public List<StepsOption> getStepsOptionParent() {
        return stepsOptionParent;
    }

    public void setStepsOptionParent(List<StepsOption> stepsOptionParent) {
        this.stepsOptionParent = stepsOptionParent;
    }
    private String ordernumber;
    private String shipname;
    private String pickupgood;
    private String remarks;
    private String shippcompanies;
    private String container;
    List<StepsOption> stepsOptionParent=new ArrayList<>();////父页面传参

    public Trackinform() {
    }
}
